[@rxap/config](../wiki/globals) / Join

# Type Alias: Join\<K, P\>

> **Join**\<`K`, `P`\>: `K` *extends* `string` \| `number` ? `P` *extends* `string` \| `number` ? `` `${K}${"" extends P ? "" : "."}${P}` `` : `never` : `never`

Defined in: [types.ts:8](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/types.ts#L8)

## Type Parameters

• **K**

• **P**
